Page MenuHomeFreeBSD

Append Keyboard Layout specified option for using VNC. Part one: supporting QEMU Extended Keyboard Event Message
ClosedPublic

Authored by mr on Mar 26 2021, 3:50 PM.

Details

Summary

PR: 246121
Submitted by: koinec@yahoo.co.jp

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mr requested review of this revision.Mar 26 2021, 3:50 PM
grehan added a subscriber: grehan.

Looks fine: please fix the #define on submit.

usr.sbin/bhyve/rfb.c
1063

This should be a #define, e.g. CS_CLIENTMSG

This revision is now accepted and ready to land.Mar 27 2021, 2:02 AM

Add #define CS_MSG_CLIENT_QEMU and name it to point to Quemu

Updating D29430: Append Keyboard Layout specified option for using VNC.

Part one: supporting QEMU Extended Keyboard Event Message

This revision now requires review to proceed.Mar 28 2021, 1:44 PM
This revision is now accepted and ready to land.Mar 30 2021, 8:11 AM
  • Append Keyboard Layout specified option for using VNC.

Updating D29430: Append Keyboard Layout specified option for using VNC.

Part one: supporting QEMU Extended Keyboard Event Message

This revision now requires review to proceed.Apr 10 2021, 12:11 PM

Sigh, I've updatet the wrong review.
This patch should have gone to the part two...
https://reviews.freebsd.org/D29473

Want to abandon this one and re-submit ?

Hi,

Want to abandon this one and re-submit ?

the least effort would be to not touch this review and commit the already reviewed patch to main.
Originally I intended to commit and push this review and the part 2 review https://reviews.freebsd.org/D29473 together...
What do you think?

the least effort would be to not touch this review and commit the already reviewed patch to main.

That's also fine.

Originally I intended to commit and push this review and the part 2 review https://reviews.freebsd.org/D29473 together...
What do you think?

How about committing part 1 now ? That provides an immediate path forward for non-English VNC support, and requires no base system datafiles or man page updates.

This revision was not accepted when it landed; it landed in state Needs Review.Wed, Apr 21, 10:43 AM
This revision was automatically updated to reflect the committed changes.